## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# https://pagure.io/golist
%global goipath         pagure.io/golist
%global forgeurl        https://pagure.io/golist
Version:                0.10.1

%define gobuild(o:) %{expand:
  # https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
  %global _dwz_low_mem_die_limit 0
  %ifnarch ppc64
  go build -buildmode pie -compiler gc -tags="rpm_crashtraceback ${BUILDTAGS:-}" -ldflags "${LDFLAGS:-}%{?currentgoldflags} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n') -extldflags '%__global_ldflags %{?__golang_extldflags}' -compressdwarf=false" -a -v -x %{?**};
  %else
  go build                -compiler gc -tags="rpm_crashtraceback ${BUILDTAGS:-}" -ldflags "${LDFLAGS:-}%{?currentgoldflags} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n') -extldflags '%__global_ldflags %{?__golang_extldflags}' -compressdwarf=false" -a -v -x %{?**};
  %endif
}

%global common_description %{expand:
A tool to analyse the properties of a Go (Golang) codebase.}

Name:           golist
Release:        %autorelease
Summary:        A tool to analyse the properties of a Go (Golang) codebase

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            https://pagure.io/golist
Source0:        https://pagure.io/golist/archive/v%{version}/golist-%{version}.tar.gz
Source1:        vendor-%{version}.tar.gz
Source10:       go.mod

# e.g. el6 has ppc64 arch without gcc-go, so EA tag is required
ExclusiveArch:  %{?go_arches:%{go_arches}}%{!?go_arches:%{ix86} x86_64 aarch64 %{arm}}
# If go_compiler is not set to 1, there is no virtual provide. Use golang instead.
BuildRequires:  golang

# Before split of /usr/bin/golist.
# Remove in Fedora 34.
Conflicts: go-compilers-golang-compiler < 1-34

%description
%{common_description}

%prep
%autosetup -p1 -n %{name}-%{version}
%setup -q -T -D -a 1 -n %{name}-%{version}
cp %{S:10} .

%build
export GO111MODULE=on
export GOFLAGS=-mod=vendor
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%files
%doc README.md NEWS.md
%license LICENSE
%{_bindir}/*

%changelog
* Wed Jan 12 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.10.1-9
- Uncommitted changes

* Mon Dec 20 2021 Maxwell G <gotmax@e.email> - 0.10.1-7
- Rebuild for new go version. Related: rhbz#2033978

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jun 14 16:03:20 EDT 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.10.1-1
- Update to latest version
- Rewrite for latest Go macros

* Mon May 27 01:19:35 EDT 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.10.0-1
- Initial package

